﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="COMPP.Views.LoginPage"
             Shell.NavBarIsVisible="False"
             BackgroundImageSource="home.png">

    <ContentPage.Content>
        <StackLayout>
            <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"></RowDefinition>
                    <RowDefinition Height="*"></RowDefinition>
                </Grid.RowDefinitions>
                <Image Grid.Row="0" Margin="0,30" Source="" Aspect="AspectFit" HeightRequest="180" WidthRequest="80"></Image>
                <Frame Grid.Row="1" Margin="0,0,0,-40" BorderColor="Transparent" HasShadow="True"  CornerRadius="50" HeightRequest="700">
                    <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" RowSpacing="20" Padding="20,50,20,0">
                        <Grid.RowDefinitions>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                            <RowDefinition Height="Auto"></RowDefinition>
                        </Grid.RowDefinitions>
                        <ActivityIndicator 
                            Grid.Row="0"
                            IsRunning="{Binding IsLoading}"
                            VerticalOptions="Center"
                            HorizontalOptions="Center"
                            Color="#82B9BC"  
                            BackgroundColor="Transparent"/>
                        <Label Grid.Row="0"  Text="Welcome Back" FontSize="24" FontAttributes="Bold" TextColor="#1C375C" HorizontalOptions="CenterAndExpand"></Label>
                        <Label Grid.Row="1" Margin="0,-15,0,0" Text="Login in to account" TextColor="#1C375C"  HorizontalOptions="CenterAndExpand"></Label>
                        <Entry Grid.Row="2" Text="{Binding Email}" Placeholder="Email" Margin="0,20,0,0" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"></Entry>
                        <Entry Grid.Row="3" Text="{Binding Password}" Placeholder="Password" IsPassword="True" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"></Entry>
                        <Button Command="{Binding LoginCommand}"  Grid.Row="5" Text="Login" TextColor="White" BackgroundColor="#79B4B7" CornerRadius="20"></Button>

                        <Label Grid.Row="6" Margin="0,-10,0,0" HorizontalOptions="CenterAndExpand">
                            <Label.FormattedText>
                                <FormattedString>
                                    <Span Text="Don't have an account? " />
                                    <Span Text="Sign up here"
                                          FontAttributes="Bold"
                                          TextColor="#82B9BC" >
                                        <Span.GestureRecognizers>
                                            <TapGestureRecognizer Command="{Binding Signup}" />
                                        </Span.GestureRecognizers>
                                    </Span>
                                </FormattedString>
                            </Label.FormattedText>
                        </Label>
                    </Grid>
                </Frame>
            </Grid>
        </StackLayout>
    </ContentPage.Content>

</ContentPage>
